Page MenuHomePhabricator

[betalabs] Special:Notifications page is not displayed - error: Call to a member function getFullURL() on a non-object (null)
Closed, ResolvedPublic

Description

In betalabs enwiki (for example, cawiki seems to be fine) - go to Special:Notifications
[V7zeZApEEH8AAHVsIhUAAAAD] /wiki/Special:Notifications BadMethodCallException from line 59 of /srv/mediawiki/php-master/extensions/Flow/includes/Notifications/FlowPresentationModel.php: Call to a member function getFullURL() on a non-object (null)
Backtrace:
#0 /srv/mediawiki/php-master/extensions/Flow/includes/Notifications/PostReplyPresentationModel.php(38): Flow\FlowPresentationModel->getPostLinkUrl(Flow\Model\UUID, Flow\Model\UUID)
#1 /srv/mediawiki/php-master/extensions/Echo/includes/formatters/EventPresentationModel.php(426): Flow\PostReplyPresentationModel->getPrimaryLink()
#2 /srv/mediawiki/php-master/extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php(67): EchoEventPresentationModel->getPrimaryLinkWithMarkAsRead()
#3 /srv/mediawiki/php-master/extensions/Echo/includes/formatters/EchoEventFormatter.php(63): SpecialNotificationsFormatter->formatModel(Flow\PostReplyPresentationModel)
#4 /srv/mediawiki/php-master/extensions/Echo/includes/DataOutputFormatter.php(170): EchoEventFormatter->format(EchoEvent)
#5 /srv/mediawiki/php-master/extensions/Echo/includes/DataOutputFormatter.php(136): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, Language)
#6 /srv/mediawiki/php-master/extensions/Echo/includes/special/SpecialNotifications.php(54): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, Language)
#7 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(522): SpecialNotifications->execute(NULL)
#8 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(583): SpecialPage->run(NULL)
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(749): MediaWiki->performRequest()
#11 /srv/mediawiki/php-master/includes/MediaWiki.php(521): MediaWiki->main()
#12 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): include(string)
#14 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2016, 11:43 PM
Catrope assigned this task to Mooeypoo.Aug 24 2016, 4:11 AM
Catrope added a subscriber: Catrope.

Regression from Moriel's watch/unwatch changes.

Change 306483 had a related patch set uploaded (by Mooeypoo):
Followup on I75d0098e: Use getTopicTitleObj properly

https://gerrit.wikimedia.org/r/306483

Change 306483 merged by jenkins-bot:
Followup on I75d0098e: Use getTopicTitleObj properly

https://gerrit.wikimedia.org/r/306483

Checked in betalabs - Special:Notifications page is displayed correctly without any errors.

jmatazzoni closed this task as Resolved.Sep 12 2016, 8:50 PM